export function deduplicate<E extends string>(array: E[]): E[] {
  const deduplicated: E[] = [];
  for (const element of array) {
    if (!deduplicated.includes(element)) {
      deduplicated.push(element);
    }
  }
  return deduplicated;
}
